Subject: Re: bug#73355: 29.4; eglot-rename reports success when it shouldn't

From: Joost Kremers <[email-masked]>
Date: Sun, 22 Sep 2024 00:04:52 +0200

On Sat, Sep 21 2024, João Távora wrote:
> On Sat, Sep 21, 2024, 13:13 Joost Kremers <[email-masked]>
> wrote:.
>
>>
>> > It's possible Eglot is just successfully applying 0 edits.
>>
>> I guess that's one way of looking at it. :-)
>>
>
> I'm say this because Eglot has no logic to check if a rename is valid or
> not. It just does what the server tells it to. If the intended rename is
> invalid, the server can error out (and Eglot will tell you this) out return
> 0 edits. Either way, the server calls all the shots.

Ah, OK, I didn't realise that. So does the server report it made 0 edits?
If it does, would it make sense to have Eglot say no changes were made?

As soon as I have some time, I'll see if I can find out a bit more and
possibly take it up with the basedpyright people.

Thanks,

Joost

-- 
Joost Kremers
Life has its moments